# Uses of Interface
org.opensaml.saml.saml2.core.AuthnContextDeclRef

Packages that use AuthnContextDeclRef
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AuthnContextDeclRef in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return AuthnContextDeclRef
Modifier and Type
Method
Description
`AuthnContextDeclRef`
AuthnContext.`getAuthnContextDeclRef()`
Gets the URI of the Declaration of this Authentication Context.
Methods in org.opensaml.saml.saml2.core that return types with arguments of type AuthnContextDeclRef
Modifier and Type
Method
Description
`List<AuthnContextDeclRef>`
RequestedAuthnContext.`getAuthnContextDeclRefs()`
Gets the AuthnContextDeclRefs of this request.
Methods in org.opensaml.saml.saml2.core with parameters of type AuthnContextDeclRef
Modifier and Type
Method
Description
`void`
AuthnContext.`setAuthnContextDeclRef(AuthnContextDeclRef newAuthnContextDeclRef)`
Sets the URI of the Declaration of this Authentication Context.

## Uses of AuthnContextDeclRef in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AuthnContextDeclRef
Modifier and Type
Class
Description
`class`
`AuthnContextDeclRefImpl`
A concrete implementation of `AuthnContextDeclRef`.
Fields in org.opensaml.saml.saml2.core.impl declared as AuthnContextDeclRef
Modifier and Type
Field
Description
`private AuthnContextDeclRef`
AuthnContextImpl.`authnContextDeclRef`
URI of the Declaration of the Authentication Context.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type AuthnContextDeclRef
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AuthnContextDeclRef>`
RequestedAuthnContextImpl.`authnContextDeclRefs`
AuthnContextDeclRef child elements.
Methods in org.opensaml.saml.saml2.core.impl that return AuthnContextDeclRef
Modifier and Type
Method
Description
`AuthnContextDeclRef`
AuthnContextDeclRefBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthnContextDeclRef`
AuthnContextDeclRefBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AuthnContextDeclRef`
AuthnContextImpl.`getAuthnContextDeclRef()`
Gets the URI of the Declaration of this Authentication Context.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type AuthnContextDeclRef
Modifier and Type
Method
Description
`List<AuthnContextDeclRef>`
RequestedAuthnContextImpl.`getAuthnContextDeclRefs()`
Gets the AuthnContextDeclRefs of this request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type AuthnContextDeclRef
Modifier and Type
Method
Description
`void`
AuthnContextImpl.`setAuthnContextDeclRef(AuthnContextDeclRef newAuthnContextDeclRef)`
Sets the URI of the Declaration of this Authentication Context.